# Acquia VWO

Acquia VWO Enhanced Data Capture provides additional Drupal specific settings to allow you to capture content metadata with page views in VWO. Currently supports Content Section, Keywords and Persona field mappings from common content type taxonomies on the site.

## Installation

Download the module with Composer or Zip and install the module as usual.

## Configuration
1. Configure the User roles and permissions for Acquia VWO via menu People > Permissions or visit /admin/people/permissions.
1. Configure Acquia VWO module:
   1. Navigate to the configuration page via menu Configuration > Acquia VWO Settings or visit /admin/config/system/acquia_vwo.
   1. Insert the VWO account ID and submit.
   1. You can extract the account ID from smart code by clicking the "Extract Account Id" tab and submit.
   1. Click the Visibility tab. Here you can configure the visibility to show only on specific pages, roles or content types.
   1. Click the Field Mapping tab. Select which field to use for each segment. You may reuse existing fields or create new vocabularies and new term reference fields for each segment.
